%{?nodejs_find_provides_and_requires}

# We cannot currently build the browser version due to a dependency loop
# npm(dryice) requires npm(uglify-js) which requres this
%global bootstrap 1

%global packagename source-map
%global enable_tests 1

Name:           nodejs-source-map
Version:        0.5.2
Release:        1%{?dist}
Summary:        Node.js library that generates and consumes source maps

BuildArch:      noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

Group:          System Environment/Libraries
License:        BSD
URL:            https://github.com/mozilla/source-map
Source0:        https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh

Source2:	https://raw.githubusercontent.com/mozilla/source-map/05211de6d4eb137ecbc0c67b2ade910b534fd2f3/LICENSE

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nodejs-packaging
BuildRequires:  npm(amdefine)

%if 0%{?enable_tests}
BuildRequires:  mocha
%endif


%if !0%{?bootstrap}
BuildRequires:  npm(dryice)
%endif

%description
A Node.js library that generates and consumes source maps.

A version suitable for use in the browser is available in the source-map
package.

%if !0%{?bootstrap}
%package -n source-map
Summary:    Client-side library that generates and consumes source maps
Group:      System Environment/Libraries

%description -n source-map
A client-side library that generates and source maps.  It is suitable for use
in browsers and is provided in original and minified form.

The Node.js library is available in the nodejs-source-map package.
%endif

%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
cp -p %{SOURCE2} .


%build
%if !0%{?bootstrap}
#build the browser version
%__nodejs Makefile.dryice.js
%endif

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{nodejs_sitelib}/source-map
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/source-map

%if !0%{?bootstrap}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -p dist/*.js %{buildroot}%{_datadir}/%{name}/
%endif

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%__nodejs test/run-tests.js

%clean
rm -rf %buildroot

%files
%{!?_licensedir:%global license %doc}
%defattr(-,root,root,-)
%{nodejs_sitelib}/source-map
%doc README.md
%license LICENSE

%if !0%{?bootstrap}
%files -n source-map
%{!?_licensedir:%global license %doc}
%defattr(-,root,root,-)
%{_datadir}/%{name}
%doc README.md
%license LICENSE
%endif

%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 0.5.2-1
- Update to upstream 0.5.2 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.33-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.33-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.33-1
- update to upstream release 0.1.33

* Tue Jul 30 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.27-1
- update to upstream release 0.1.27
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.22-1
- new upstream release 0.1.22

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-4
- add macro to enable dependency generation on EPEL6

* Sun Feb 10 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-3
- fix BuildRequires
- link dependencies in %%check
- add missing %%nodejs_symlink_deps

* Fri Feb 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-2
- fix Name in main package

* Fri Jan 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-1
- initial package generated by npm2rpm
